中危 多款Siemens产品输入验证错误漏洞

CVE编号

CVE-2019-10927

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-08-14
漏洞描述
Siemens SCALANCE SC-600等都是德国西门子(Siemens)公司的产品。Siemens SCALANCE SC-600是一款工业安全设备。SCALANCE XB-200是一款管理型工业以太网交换机。SCALANCE XR-300WG是一款机架式管理型交换机。
多款Siemens产品中存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。以下产品及版本受到影响:Siemens SCALANCE SC-600 V2.0版本,SCALANCE XB-200 V4.1版本,SCALANCE XC-200 V4.1版本,SCALANCE XF-200BA V4.1版本,SCALANCE XP-200 V4.1版本,SCALANCE XR-300WG V4.1版本。

解决建议
用户可参考如下供应商提供的安全公告获得补丁信息:
https://cert-portal.siemens.com/productcert/pdf/ssa-671286.pdf
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 alpine_3.10 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.11 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.12 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.13 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.14 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.15 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.16 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.7 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.8 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_3.9 tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 alpine_edge tiff * Up to
(excluding)
4.0.10-r2
运行在以下环境
系统 siemens scalance_xb-200_firmware 4.1 -
运行在以下环境
系统 siemens scalance_xc-200_firmware 4.1 -
运行在以下环境
系统 siemens scalance_xf-200ba_firmware 4.1 -
运行在以下环境
系统 siemens scalance_xp-200_firmware 4.1 -
运行在以下环境
系统 siemens scalance_xr-300wg_firmware 4.1 -
运行在以下环境
硬件 siemens scalance_xb-200 - -
运行在以下环境
硬件 siemens scalance_xc-200 - -
运行在以下环境
硬件 siemens scalance_xf-200ba - -
运行在以下环境
硬件 siemens scalance_xp-200 - -
运行在以下环境
硬件 siemens scalance_xr-300wg - -
阿里云评分
5.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
NVD-CWE-Other
阿里云安全产品覆盖情况